Troubleshooting

Version Compatibility Issues

If you are running an older version of Geocortex Go or an older custom GXM app on a device, it's possible for you to experience version compatibility issues. When there is a version compatibility issue, you will see the following warning icon on apps listed in the Geocortex Go selector screen:

Scenario 1 - Older version of Geocortex Go

The field crew have an older version of Geocortex Go installed on their devices. The administrator uses a newer version of Mobile Designer to build an app. When the field crew tries to open the new app, they get the warning icon.

When they try to open the app, they get the following error message: 

Solution: Install the latest version of Geocortex Go on all the field workers' devices.

Scenario 2 - Older Custom App - Newer Mobile Designer

You make changes in Mobile Designer but they do not appear in the custom app on the device.

If the custom GXM app on your device, is at an older version than Mobile Designer, you won't be able to apply new updates to your Custom App's configuration using Mobile Designer. When the app checks its version and finds it to be out of date, it defaults to the configuration from the last compatible version of Mobile Designer that it received. Changes from the current Mobile Designer will be ignored until you have updated the Custom App.

Solution: Update the Custom GXM app installation on the device. How you update the Custom GXM app depends on how you distributed the app to the device.

Scenario 3 - An Un-versioned App created during Beta

You have an un-versioned app created before or during beta. When you try to open it in Geocortex Go, you see the following warning: 

Having an un-versioned app is very unlikely to happen.

Solution: The administrator must open the app in the latest version of Mobile Designer and then re-save it.

Error Message Trying to Open Geocortex Go

Problem

You are using Portal for ArcGIS and have installed Geocortex Go but when you try to open Go on a device or computer, you get the following error message:

Solution: The error indicates that you have not created an app in Portal for ArcGIS with the correct tags and permissions and an app ID.

For instructions on creating a GXM app in Portal for ArcGIS, see Create an App in ArcGIS Online or Portal for ArcGIS in the GXM On-Premises Installation Help.

© 2019 Latitude Geographics Group Ltd. All Rights Reserved.

Documentation Version 5.2